Search CRS records (any sub-type) by keywords and/or geographic area. Geographical constraints are passed (optionally) as parameters via the query URL, search keywords are passed via the request body. Query syntax follows Lucene style, default operator for multiple expressions is AND. The following keywords are supported: 'name:', 'description:', 'type:', 'authority:', 'code:', 'deprecationState:', 'remarks:', 'lastModified:', 'source:', 'wellKnownText:', 'crsType:', 'baseCRS.authority:', 'baseCRS.code:', 'horizontalCRS.authority:', 'horizontalCRS.code:', 'verticalCRS.authority:', 'verticalCRS.code:', 'lateBoundCRS.authority:', 'lateBoundCRS.code:', 'ct.authority:', 'ct.code:', 'transformationReady:'. followed by a value. Example: 'transformationReady:true'. longitudeLeft - the left WGS 84 longitude limit of the search box. latitudeLower - the lower WGS 84 latitude limit of the search box. longitudeRight - the right WGS 84 longitude limit of the search box. latitudeUpper - The upper WGS 84 latitude limit of the search box.
A Lucene style keyword query. One of the following keywords 'name:', 'description:', 'type:', 'authority:', 'code:', 'deprecationState:', 'remarks:', 'lastModified:', 'source:', 'wellKnownText:', 'crsType:', 'baseCRS.authority:', 'baseCRS.code:', 'horizontalCRS.authority:', 'horizontalCRS.code:', 'verticalCRS.authority:', 'verticalCRS.code:', 'lateBoundCRS.authority:', 'lateBoundCRS.code:', 'ct.authority:', 'ct.code:', 'transformationReady:'. followed by a value. Example: 'transformationReady:true'.
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/search/crs
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/crs/catalog/v2/search/crs
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/crs/catalog/v2/search/crs
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/crs/catalog/v2/search/crs
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/crs/catalog/v2/search/crs
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/crs/catalog/v2/search/crs
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/crs/catalog/v2/search/crs
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/crs/catalog/v2/search/crs
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/crs/catalog/v2/search/crs
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/crs/catalog/v2/search/crs
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/crs/catalog/v2/search/crs
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/crs/catalog/v2/search/crs
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-crs-catalog-service-v2/search/crs
curl -i -X POST \
'https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/search/crs?longitudeLeft=-180&latitudeLower=-90&longitudeRight=-180&latitudeUpper=-90&offset=0&limit=100&mode=persistable_reference' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"query": "baseCRS.code:4267 transformationReady:true"
}'A successful response
An array of (any sub-type of) CRS
{ "crses": [ { … } ], "count": 0, "offset": 0, "totalCount": 0 }